summaryrefslogtreecommitdiffstats
path: root/po/generate_POTFILES.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 16:29:01 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 16:29:01 +0000
commit35a96bde514a8897f6f0fcc41c5833bf63df2e2a (patch)
tree657d15a03cc46bd099fc2c6546a7a4ad43815d9f /po/generate_POTFILES.sh
parentInitial commit. (diff)
downloadinkscape-35a96bde514a8897f6f0fcc41c5833bf63df2e2a.tar.xz
inkscape-35a96bde514a8897f6f0fcc41c5833bf63df2e2a.zip
Adding upstream version 1.0.2.upstream/1.0.2upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'po/generate_POTFILES.sh')
-rwxr-xr-xpo/generate_POTFILES.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/po/generate_POTFILES.sh b/po/generate_POTFILES.sh
new file mode 100755
index 0000000..f8dce18
--- /dev/null
+++ b/po/generate_POTFILES.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+set -e
+
+echo "Generating updated POTFILES list..."
+mydir=`dirname "$0"`
+cd "$mydir"
+
+# enforce consistent sort order and date format
+export LC_ALL=C
+
+(
+ echo "../share/filters/filters.svg.h"
+ echo "../share/palettes/palettes.h"
+ echo "../share/paint/patterns.svg.h"
+ echo "../share/symbols/symbols.h"
+ echo "../share/templates/templates.h"
+
+ find ../src \( -name '*.cpp' -o -name '*.[ch]' \) -type f -print0 | xargs -0 egrep -l '(\<[QNC]?_|gettext) *\(' | sort
+
+) | grep -vx -f POTFILES.skip > POTFILES.src.in
+
+
+find ../share/extensions -name '*.py' -type f -print0 | xargs -0 egrep -l '(\<[QNC]?_|gettext) *\(' | grep -vx -f POTFILES.skip | sort > POTFILES.py.in
+find ../share/extensions -name '*.inx' -type f -print | grep -vx -f POTFILES.skip | sort > POTFILES.inx.in
+find ../share/ui -name '*.glade' -type f -print | grep -vx -f POTFILES.skip | sort > POTFILES.ui.in